## slv2 0.6.6

=== wscript ===
#!/usr/bin/env python
import autowaf
import Options

# Version of this package (even if built as a child)
SLV2_VERSION = '0.6.6'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Version history:
#   0.0.1 = 0,0,0
#   0.1.0 = 2,0,0
#   0.2.0 = 3,0,0
#   0.3.0 = 4,0,0
#   0.3.1 = 4,0,0
#   0.3.2 = 5,0,1
#   0.4.0 = 6,0,0
#   0.4.1 = 6,0,0 (oops, should have been 6,1,0)
#   0.4.2 = 6,0,0 (oops, should have been 6,2,0)
#   0.4.3 = 6,0,0 (oops, should have been 6,3,0)
#   0.4.4 = 7,0,1
#   0.4.5 = 7,0,1
#   0.5.0 = 8,0,0
#   0.6.0 = 9,0,0 (SVN r1282)
#   0.6.1 = 9,1,0
#   0.6.2 = 9,1,1
#   0.6.4 = 9,2,0
#   0.6.6 = 9,2,0
SLV2_LIB_VERSION = '9.2.0'

# Variables for 'waf dist'
APPNAME = 'slv2'
VERSION = SLV2_VERSION

# Mandatory variables
srcdir = '.'
blddir = 'build'

def set_options(opt):
	autowaf.set_options(opt)
	opt.add_option('--no-jack', action='store_true', default=False, dest='no_jack',
			help="Do not build JACK clients")
	opt.add_option('--test', action='store_true', default=False, dest='build_tests',
			help="Build unit tests")

def configure(conf):
	autowaf.configure(conf)
	autowaf.check_tool(conf, 'compiler_cc')
	autowaf.check_pkg(conf, 'lv2core', uselib_store='LV2CORE', atleast_version='1.0', mandatory=True)
	autowaf.check_pkg(conf, 'redland', uselib_store='REDLAND', atleast_version='1.0.6', mandatory=True)
	autowaf.check_pkg(conf, 'jack', uselib_store='JACK', atleast_version='0.107.0', mandatory=False)
	conf.env.append_value('CCFLAGS', '-std=c99')
	conf.define('SLV2_VERSION', SLV2_VERSION)
	conf.write_config_header('slv2-config.h')

	conf.env['USE_JACK'] = conf.env['HAVE_JACK'] and not Options.options.no_jack
	conf.env['BUILD_TESTS'] = Options.options.build_tests

	autowaf.print_summary(conf)
	autowaf.display_header('SLV2 Configuration')
	autowaf.display_msg(conf, "Jack clients", str(conf.env['USE_JACK']))
	autowaf.display_msg(conf, "Unit tests", str(conf.env['BUILD_TESTS']))
	print

def build(bld):
	# C Headers
	bld.install_files('${INCLUDEDIR}/slv2', 'slv2/*.h')

	# Pkgconfig file
	autowaf.build_pc(bld, 'SLV2', SLV2_VERSION, ['REDLAND'])

	lib_source = '''
		src/collections.c
		src/plugin.c
		src/pluginclass.c
		src/plugininstance.c
		src/plugins.c
		src/pluginui.c
		src/pluginuiinstance.c
		src/port.c
		src/query.c
		src/scalepoint.c
		src/util.c
		src/value.c
		src/world.c
	'''

	# Library
	obj = bld.new_task_gen('cc', 'shlib')
	obj.export_incdirs = ['.']
	obj.source       = lib_source
	obj.includes     = ['.', './src']
	obj.name         = 'libslv2'
	obj.target       = 'slv2'
	obj.vnum         = SLV2_LIB_VERSION
	obj.install_path = '${LIBDIR}'
	autowaf.use_lib(bld, obj, 'REDLAND LV2CORE')

	# Static library (for unit test code coverage)
	if bld.env['BUILD_TESTS']:
		obj = bld.new_task_gen('cc', 'staticlib')
		obj.source       = lib_source
		obj.includes     = ['.', './src']
		obj.name         = 'libslv2_static'
		obj.target       = 'slv2_static'
		obj.install_path = ''
		obj.ccflags      = [ '-fprofile-arcs',  '-ftest-coverage' ]

	# Utilities
	utils = '''
		utils/lv2_inspect
		utils/lv2_list
	'''
	for i in utils.split():
		obj = bld.new_task_gen('cc', 'program')
		obj.source       = i + '.c'
		obj.includes     = ['.', './src']
		obj.uselib_local = 'libslv2'
		obj.target       = i
		obj.install_path = '${BINDIR}'

	# JACK Hosts
	hosts = '''
		hosts/lv2_jack_host
		hosts/lv2_simple_jack_host
	'''
	if bld.env['USE_JACK']:
		for i in hosts.split():
			obj = bld.new_task_gen('cc', 'program')
			obj.source       = i + '.c'
			obj.includes     = ['.', './src']
			obj.uselib       = 'JACK'
			obj.uselib_local = 'libslv2'
			obj.target       = i
			obj.install_path = '${BINDIR}'

	# Unit tests
	bld.add_subdirs('test')

	# Documentation
	autowaf.build_dox(bld, 'SLV2', SLV2_VERSION, srcdir, blddir)
	bld.install_files('${HTMLDIR}', blddir + '/default/doc/html/*')
	bld.install_files('${MANDIR}/man3', blddir + '/default/doc/man/man3/*')
	bld.install_files('${MANDIR}/man1', 'doc/*.1')

def shutdown():
	autowaf.shutdown()

=== debian/changelog ===
slv2 (0.6.6-5) unstable; urgency=low

  * debian/patches/02-hppa_parallel.patch: Disable parallel build on
    hppa architecture (Closes: #590976).
  * Adjust debian/rules to apply patch on-the-fly.
  * Bump Standards.
  * Remove DM-Upload-Allowed: yes.
  * Add .gitignore file.
  * Set architecture of the -DEV package to all, adjust Depends field
    properly.

 -- Alessio Treglia <alessio@debian.org>  Sat, 31 Jul 2010 11:43:42 +0200

slv2 (0.6.6-4) unstable; urgency=low

  [ Jaromír Mikeš ]
  * Added DM-Upload-Allowed: yes
  * libslv2-dev depends on lv2core (Closes: #582371)

  [ Alessio Treglia ]
  * Add myself as Uploader.
  * Bump Standards:
    - Add missing ${misc:Depends} macro.
  * Set source format to 3.0 (quilt).
  * Update debian/copyright file.
  * Switch to debhelper 7.
  * Add debian/gbp.conf file.
  * Document how-to patch sources by using quilt.
  * Correct maintainer's name.
  * Fix build failure with binutils-gold (Closes: #556347).
  * debian/patches/01-spelling_errors.patch: Fix spelling errors.
  * Add doc-base control file for slv2-doc.

 -- Alessio Treglia <alessio@debian.org>  Thu, 24 Jun 2010 10:45:12 +0200

slv2 (0.6.6-3) unstable; urgency=low

  * switching from Recommends to Suggests (Closes: #549121)
    -libslv2-9 for slv2-jack 
    -libslv2-dev for slv2-doc

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 01 Oct 2009 11:44:53 +0200

slv2 (0.6.6-2) unstable; urgency=low

  * Improved copyright file

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 22 Jul 2009 01:37:46 +0200

slv2 (0.6.6-1) unstable; urgency=low

  * Initial release (Closes: #522069)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 15 Jul 2009 00:34:41 +0200
  

=== debian/control ===
Source: slv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 python,
 librdf0-dev,
 lv2core,
 doxygen,
 libjack-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-multimedia/slv2.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/slv2.git
Homepage: http://drobilla.net/software/slv2

Package: libslv2-9
Section: libs
Depends: ${shlibs:Depends},
 librdf0,
 ${misc:Depends}
Suggests: slv2-jack
Architecture: any
Description: A library for simple use of LV2 plugins
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible.
 LV2 is a standard for plugins and matching host applications,
 mainly targeted at audio processing and generation.
 .
 This package contains the shared library for libslv2.
 
Package: libslv2-dev
Section: libdevel
Depends: libslv2-9 (>= ${source:Version}),
 libslv2-9 (<< ${source:Upstream-Version}+1~),
 ${misc:Depends},
 librdf0-dev,
 lv2core
Suggests: slv2-doc
Architecture: all
Description: Development files (headers) for SLV2 library
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible. 
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.
 .
 This package contains the headers used to build applications
 that use libslv2.
 
Package: slv2-jack
Section: utils
Depends: ${shlibs:Depends},
 jackd,
 ${misc:Depends}
Architecture: any
Description: Jack support for LV2 plugins
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.
 .
 This package contains binary files. 

Package: slv2-doc
Section: doc
Depends: ${misc:Depends}
Architecture: all
Description: Documentation for SLV2
 Man pages documenting the SLV2 API.
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible.
 LV2 is a standard for plugins and matching host applications,
 mainly targeted at audio processing and generation.
 .
 This package contains the API documentation for libslv2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) --version && cd .waf*/wafadmin && \
		patch -p1 < $(CURDIR)/debian/patches/02-hppa_parallel.patch
	LINKFLAGS="-ldl" $(WAF) configure   --prefix=/usr  --build-docs

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) --version && cd .waf*/wafadmin && \
		patch -p1 < $(CURDIR)/debian/patches/02-hppa_parallel.patch
	$(WAF) distclean
	rm -f autowaf.pyc
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

=== debian/watch ===
version=3

http://download.drobilla.net/slv2-(.*)\.tar\.bz2

## slv2 0.6.6%2Bdfsg1

=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg\d+// \
http://download.drobilla.net/slv2-(.*)\.tar\.bz2

## slv2 0.6.6+dfsg1

=== test/wscript ===
#!/usr/bin/env python

def build(bld):
	tests = '''
		slv2_test
	'''
	if bld.env['BUILD_TESTS']:
		for i in tests.split():
			obj = bld.new_task_gen('cc', 'program')
			obj.source       = i + '.c'
			obj.includes     = '..'
			obj.uselib_local = 'libslv2_static'
			obj.uselib       = 'REDLAND LV2CORE'
			obj.libs         = 'gcov'
			obj.target       = i
			obj.install_path = ''
			obj.ccflags      = [ '-fprofile-arcs',  '-ftest-coverage' ]

=== debian/changelog ===
slv2 (0.6.6+dfsg1-3build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:07:49 +0000

slv2 (0.6.6+dfsg1-3) unstable; urgency=low

  * Improve description. (Closes: #681899)
  * Introduce multi-arch. (Closes: #777201)
  * Bump Standards.
  * Tune gitignore file to handle rather dir.
  * Fix VCS canonical URLs.
  * Removed DMUA.
  * Set dh/compat 9.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Wed, 11 Feb 2015 20:43:47 +0100

slv2 (0.6.6+dfsg1-2) unstable; urgency=low

  * Port to lv2-dev.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 May 2012 19:01:38 +0200

slv2 (0.6.6+dfsg1-1) unstable; urgency=low

  * Rewrite debian/copyright as per DEP-5 svn revision #173.
  * Repack upstream tarball to get rid of the waf binary (Closes: #654503).
  * debian/watch: Mangle debian's versioning.
  * debian/rules: Properly clean sources tree.
  * With waf unpacked, 02-hppa_parallel.patch could be applied by quilt.
  * Package description should not start with an article.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 21:24:06 +0100

slv2 (0.6.6-9) unstable; urgency=medium

  * Set slv2-jack's Section to sound.
  * Fix upgrade path (Closes: #615968):
    - Add {Breaks,Replaces}: libslv2-9 (<< 0.6.6-8) to slv2-doc's stanza.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Mar 2011 14:30:12 +0100

slv2 (0.6.6-8) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Make libslv2-dev architecture any:
    - On request of the RT, because having it arch:all make it instantaly
      uninstallable on all architecture that haven't built it yet. This
      greatly slows down the buildds and ongoing transitions.

  [ Alessio Treglia ]
  * Move manpages from libslv2-9 to slv2-doc package (Closes: #615847);
    thanks to Julien Cristau for the report.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Mar 2011 12:34:24 +0100

slv2 (0.6.6-7) unstable; urgency=low

  * Tighten dependency on redland.
  * Tighten dependency on libraptor2-dev
  * Add myself to the list of uploaders.
  * Allow DMs to upload this package.

 -- Adrian Knoth <adi@drcomp.erfurt.thur.de>  Mon, 28 Feb 2011 12:40:10 +0100

slv2 (0.6.6-6) unstable; urgency=low

  [ Adrian Knoth ]
  * Add patch to prevent clashing libraptor1/libraptor2;
    closes: #613677.
  * Enable raptor patch

  [ Alessio Treglia ]
  * Build-depend on libraptor2-dev.
  * Needs librdf0-dev (>= 1.0.13).
  * Add local-options file to unapply patches after
    git-buildpackage'ing.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 Feb 2011 09:22:25 +0100

=== debian/control ===
Source: slv2
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
 Alessio Treglia <alessio@debian.org>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 9),
 python,
 librdf0-dev (>= 1.0.13-2),
 libraptor2-dev (>= 2.0.0-2),
 lv2-dev,
 doxygen,
 libjack-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/slv2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/slv2.git
Homepage: http://drobilla.net/software/slv2

Package: libslv2-9
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 librdf0,
 ${misc:Depends}
Suggests: slv2-jack
Architecture: any
Multi-Arch: same
Description: library for simple use of LV2 plugins
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible.
 LV2 is a standard for plugins and matching host applications,
 mainly targeted at audio processing and generation.
 .
 This package contains the shared library for libslv2.
 
Package: libslv2-dev
Section: libdevel
Depends: libslv2-9 (>= ${source:Version}),
 libslv2-9 (<< ${source:Upstream-Version}+1~),
 ${misc:Depends},
 librdf0-dev,
 lv2-dev
Suggests: slv2-doc
Architecture: any
Multi-Arch: same
Description: Development files (headers) for SLV2 library
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible. 
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.
 .
 This package contains the headers used to build applications
 that use libslv2.
 
Package: slv2-jack
Depends: ${shlibs:Depends},
 jackd,
 ${misc:Depends}
Architecture: any
Multi-Arch: foreign
Description: Jack support for LV2 plugins
 a collection of programs which caring for connecting
 LV2 plugins (http://lv2plug.in) to jackd.
 .
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA
 which many applications have outgrown.
 .
 This package contains binary files. 

Package: slv2-doc
Section: doc
Depends: ${misc:Depends}
Replaces: libslv2-9 (<< 0.6.6-8)
Breaks: libslv2-9 (<< 0.6.6-8)
Architecture: all
Description: Documentation for SLV2
 Man pages documenting the SLV2 API.
 SLV2 is a library geared towards music and audio applications
 which makes the use of LV2 plugins as simple as possible.
 LV2 is a standard for plugins and matching host applications,
 mainly targeted at audio processing and generation.
 .
 This package contains the API documentation for libslv2.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	LINKFLAGS="-ldl" $(WAF) configure   --prefix=/usr  --build-docs --libdir=usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	find -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp
